Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model
Class DIDLObject.Property.UPNP.CHANNEL_NR

    java.lang.Object
      org.fourthline.cling.support.model.DIDLObject.Property<Integer>
          org.fourthline.cling.support.model.DIDLObject.Property.UPNP.CHANNEL_NR

All Implemented Interfaces:
  DIDLObject.Property.NAMESPACE, DIDLObject.Property.UPNP.NAMESPACE

Enclosing class:
  DIDLObject.Property.UPNP

    public static class DIDLObject.Property.UPNP.CHANNEL_NR

extends DIDLObject.Property<Integer>
implements DIDLObject.Property.UPNP.NAMESPACE

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject.Property
`DIDLObject.Property.DC, DIDLObject.Property.DLNA, DIDLObject.Property.NAMESPACE, DIDLObject.Property.PropertyPersonWithRole, DIDLObject.Property.SEC, DIDLObject.Property.UPNP`

Field Summary

Fields inherited from interface org.fourthline.cling.support.model.DIDLObject.Property.UPNP.NAMESPACE
`URI`

Constructor Summary
`DIDLObject.Property.UPNP.CHANNEL_NR()`
`DIDLObject.Property.UPNP.CHANNEL_NR(Integer value)`

Method Summary

Methods inherited from class org.fourthline.cling.support.model.DIDLObject.Property
`addAttribute, getAttribute, getDescriptorName, getValue, removeAttribute, removeAttribute, setOnElement, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DIDLObject.Property.UPNP.CHANNEL_NR

    public DIDLObject.Property.UPNP.CHANNEL_NR()

### DIDLObject.Property.UPNP.CHANNEL_NR

    public DIDLObject.Property.UPNP.CHANNEL_NR(Integer value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.